;Example POOL program, you may use it,
;modify and distribute under GPL license.
;Authors: R&D Independent Team
;Source: www.pool-rnd.com

include "mandelbrot.l
include "julia.l
include "snowflake.l

;scale adjusted to draw entire fractal
:pool_cfg,"scale_x := 150 * :sys_inf,"dip_x
:pool_cfg,"scale_y := 150 * :sys_inf,"dip_y
:pool_cfg,"center_x := -0.2
:pool_cfg,"center_y := 0

;enlarged fragment of the fractal
;:pool_cfg,"scale_x := 3000 * :sys_inf,"dip_x
;:pool_cfg,"scale_y := 3000 * :sys_inf,"dip_y
;:pool_cfg,"center_x := -0.4
;:pool_cfg,"center_y := 0.6

;use all processor cores
let "nt :sys_inf,"cpu_count

;...or run in a single thread
;let "nt 1

setbg "black

"f_names := [mandelbrot |julia 1| |julia 2| snowflake]
"f_list := listview "fractals :f_names {10 10 150 120}
setonchange :f_list [
  lock "t [
    destroy @ :t

    if :new = 1 ["t := (newturtles :nt $mandelbrot)]
    if :new = 2 ["t := (newturtles :nt $julia (-0.1) 0.65)]
    if :new = 3 ["t := (newturtles :nt $julia)]
    if :new = 4 ["t := (newturtles :nt $snowflake)]
  ]
  :pool_cfg,"scale_x := :pool_cfg,"scale_x ;launch repaint
]

